%if 0%{?fedora}
%global with_python3 1
%endif

%define srcname notario

Name:           python-%{srcname}
Version:        0.0.11
Release:        1%{?dist}
Summary:        A dictionary validator
License:        MIT
URL:            https://github.com/alfredodeza/notario
Source0:        https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  pytest

%description
Notario is flexible and succinct Python dictionary validator with the ability
to validate against both keys and values. Schemas are smaller and readable
representations of data being validated.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
py.test-%{python_version} -v notario/tests

%files
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Feb 24 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.11-1
- Update to latest upstream release

* Tue Feb 16 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.9-2
- Remove newer python2-* package convention, to align with OSP / RHEL 7.

* Mon Feb 15 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.9-1
- Update to latest upstream release

* Mon Feb 15 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.8-2
- Fall back to older python macros. The newer python macros are only
  available in EPEL 7, not RHEL 7 (see rhbz#1306861). Add fallbacks so
  we can still build and install on RHEL 7.
- Use HTTPS upstream URLs.

* Fri Feb 05 2016 Ken Dreyer <kdreyer@redhat.com> 0.0.8-1
- Initial package
